траблы с NetBeans

Все о программировании под *nix
Аватара пользователя
Lionet
Интересующийся
Сообщения: 47
Зарегистрирован: 04 июн 2004, 14:32
Откуда: г.Пенза

Re: траблы с NetBeans

Сообщение Lionet »

Это не бред, а скрипты, упрощающие жизнь таким чайникам, как я (в данном контексте - установка драйвера для видеокарты ATI). :)
Unix is very user friendly system, but it is picky choosing its friends.

leave
Неотъемлемая часть форума
Сообщения: 1055
Зарегистрирован: 25 окт 2006, 14:50
Откуда: minsk
Контактная информация:

Re: траблы с NetBeans

Сообщение leave »

Lionet, а что, aptitude install fglrx-driver уже отменили?

Аватара пользователя
Lionet
Интересующийся
Сообщения: 47
Зарегистрирован: 04 июн 2004, 14:32
Откуда: г.Пенза

Re: траблы с NetBeans

Сообщение Lionet »

leave писал(а):Lionet, а что, aptitude install fglrx-driver уже отменили?

Ну как тебе сказать...В феврале этого года, когда я окончательно переходил с виндовса на Линукс, проприетарные драйвера АТИ не поддерживали сервер xorg 1.7, о чём мне вышеприведённый скрипт и сообщил (попытка установки драйверов версии 10.2 приводила к крашу сервера иксов). Предложил поставить замену в виде xserver-xorg-video-radeon, который и проработал пока не вышли драйвера (10.4), поддерживающие xorg 1.7.
Unix is very user friendly system, but it is picky choosing its friends.

leave
Неотъемлемая часть форума
Сообщения: 1055
Зарегистрирован: 25 окт 2006, 14:50
Откуда: minsk
Контактная информация:

Re: траблы с NetBeans

Сообщение leave »

Lionet, если это был сквизи или сид, то там были 10.3~pre, которые работали с 1.7 ксоргом. В конце концов, если вы новичок в линуксе, то зачем вам тестинг/анстейбл? Ах, вы готовы к ручному колупанию системы? - тогда будьте так добры, смотрите сами, что ставите и каких версий. А вот эти вот скрипты установки fglrx'а - какой-то концентрированный бред, призванный помочь пионерам в борьбе с анстейблом.

Аватара пользователя
Lionet
Интересующийся
Сообщения: 47
Зарегистрирован: 04 июн 2004, 14:32
Откуда: г.Пенза

Re: траблы с NetBeans

Сообщение Lionet »

10.3pre для 64 разрядной версии насколько я помню, вышли в конце апреля. Анстейбл Дебиана ~ последняя версия Убунты, так что в плане стабильности разницы нет. Стабильный дебиан не ставился из-за отсутствия драйверов на сетевую карточку Atheros, поэтому я и поставил тестинг. К ручному колупанию системы я не готов, поэтому и пользуюсь скриптами, которые за меня всё делают. Эти скрипты просто скачивают драйвера АТИ указанной версии для моей видеокарты с офсайта, а дальше установка ничем не отличается от ручного запуска предварительно найденных и скачанных драйверов. Ничего бредового не вижу в этих скриптах - напротив, экономят моё время.
Unix is very user friendly system, but it is picky choosing its friends.

leave
Неотъемлемая часть форума
Сообщения: 1055
Зарегистрирован: 25 окт 2006, 14:50
Откуда: minsk
Контактная информация:

Re: траблы с NetBeans

Сообщение leave »

Ок, удачи в обновлении КДЕ в анстейбле:)

Аватара пользователя
Lionet
Интересующийся
Сообщения: 47
Зарегистрирован: 04 июн 2004, 14:32
Откуда: г.Пенза

Re: траблы с NetBeans

Сообщение Lionet »

У меня XFCE. ;)
Unix is very user friendly system, but it is picky choosing its friends.

Аватара пользователя
kdu
Фанатеющий
Сообщения: 150
Зарегистрирован: 21 фев 2007, 18:46
Откуда: Minsk
Контактная информация:

Re: траблы с NetBeans

Сообщение kdu »

Так, а теперь по теме. MrCoast, да, файл придется скачать по новой. Заодно скачайте контрольную сумму и проверьте скачанный файл. Это снимет половину вопросов.

По поводу установки NetBeans и JDK/JRE из репозиториев. Да, можно. Но можно спокойно ставить и указанным образом в свой домашний каталог. И гадить они никуда не станут и прибить можно в любой момент, не помешав другим пользователям. Java приложения тем и хороши -- распаковал и готов к работе. Во всяком случае, так ведут себя правильные Java приложения. :)
Ubuntu 11.10 + KDE (AMD 64) in Minsk

Ларин
Неотъемлемая часть форума
Сообщения: 484
Зарегистрирован: 19 ноя 2007, 15:01
Контактная информация:

Re: траблы с NetBeans

Сообщение Ларин »

kdu писал(а):Так, а теперь по теме. MrCoast, да, файл придется скачать по новой. Заодно скачайте контрольную сумму и проверьте скачанный файл. Это снимет половину вопросов.

По поводу установки NetBeans и JDK/JRE из репозиториев. Да, можно. Но можно спокойно ставить и указанным образом в свой домашний каталог. И гадить они никуда не станут и прибить можно в любой момент, не помешав другим пользователям. Java приложения тем и хороши -- распаковал и готов к работе. Во всяком случае, так ведут себя правильные Java приложения. :)

зачем велосипед?)) есть репы. в них новая версия. зачем, что-то придумывать.
вы сейчас человеку насоветуете ставить ручками, а у него явы нету, а потом еще какой-нибудь либы нету, а у либы в зависимости еще либа)
вот мой лэптоп с бубунтой

Код: Выделить всё

larin-laptop# aptitude install netbeans
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading extended state information     
Initializing package states... Done
The following NEW packages will be installed:
  ant{a} ant-gcj{a} ant-optional{a} ant-optional-gcj{a} apache2-utils{a} default-jdk{a} default-jdk-doc{a} gcj-4.4-base{a} gcj-4.4-jre-lib{a} javahelp2{a} jetty{a}
  jruby1.1{a} jsvc{a} junit{a} junit4{a} libappframework-java{a} libasm2-java{a} libbeansbinding-java{a} libcobertura-java{a} libcommons-beanutils-java{a}
  libcommons-collections3-java{a} libcommons-compress-java{a} libcommons-daemon-java{a} libcommons-digester-java{a} libcommons-logging-java{a}
  libcommons-net-java{a} libdb-je-java{a} libdb4.7-java{a} libdb4.7-java-gcj{a} libfreemarker-java{a} libgcj-bc{a} libgcj-common{a} libgcj10{a} libhamcrest-java{a}
  libice-dev{a} libicu4j-java{a} libini4j-java{a} libjaxp1.3-java{a} libjetty-java{a} libjetty-java-doc{a} libjna-java{a} libjsch-java{a} libjtidy-java{a}
  libjzlib-java{a} liblog4j1.2-java{a} liblucene2-java{a} libnb-apisupport1-java{a} libnb-ide12-java{a} libnb-java3-java{a} libnb-javaparser-java{a}
  libnb-platform-devel-java{a} libnb-platform11-java{a} libnb-svnclientadapter-java{a} liboro-java{a} libregexp-java{a} libservlet2.3-java{a} libslf4j-java{a}
  libsm-dev{a} libsvn-java{a} libswing-layout-java{a} libswingworker-java{a} libswingx-java{a} libxerces2-java{a} libxml-commons-resolver1.1-java{a} libxt-dev{a}
  netbeans openjdk-6-doc{a} openjdk-6-jdk{a}
0 packages upgraded, 68 newly installed, 0 to remove and 0 not upgraded.
Need to get 142MB of archives. After unpacking 624MB will be used.
Do you want to continue? [Y/n/?]

предлагаете мне ставить эти зависимости вручную?
Последний раз редактировалось Ларин 02 июн 2010, 09:30, всего редактировалось 1 раз.
Two of the most famous products of Berkeley are LSD and BSD:)

Аватара пользователя
kdu
Фанатеющий
Сообщения: 150
Зарегистрирован: 21 фев 2007, 18:46
Откуда: Minsk
Контактная информация:

Re: траблы с NetBeans

Сообщение kdu »

Нет, Ларин, зачем же? Идем на http://netbeans.org/downloads/index.html и скачиваем тот вариант дистрибутива, на котором написано "All" (288 MB, все включено).
Ubuntu 11.10 + KDE (AMD 64) in Minsk

Ларин
Неотъемлемая часть форума
Сообщения: 484
Зарегистрирован: 19 ноя 2007, 15:01
Контактная информация:

Re: траблы с NetBeans

Сообщение Ларин »

kdu писал(а):Нет, Ларин, зачем же? Идем на http://netbeans.org/downloads/index.html и скачиваем тот вариант дистрибутива, на котором написано "All" (288 MB, все включено).

допустим.
но все равно не пойму в чем профит качать ручками 288 метров нетбинса, явы, и прочего *****, если часть этих либ у меня уже может стоять как зависимости от других приложений?
Two of the most famous products of Berkeley are LSD and BSD:)

leave
Неотъемлемая часть форума
Сообщения: 1055
Зарегистрирован: 25 окт 2006, 14:50
Откуда: minsk
Контактная информация:

Re: траблы с NetBeans

Сообщение leave »

Ларин, профит в том, что в репах нетбинс древнючий. В сабжевой опенсусе - 6.5-6, в дебиане (sid) - 6.0.1, в то время как на нетбинс.орг сейчас висит 6.8

Аватара пользователя
kdu
Фанатеющий
Сообщения: 150
Зарегистрирован: 21 фев 2007, 18:46
Откуда: Minsk
Контактная информация:

Re: траблы с NetBeans

Сообщение kdu »

Добавлю, что такой "ручной" подход позволяет безпроблемно иметь несколько версий одного приложения и переключаться между версиями с помощью установки переменных среды. Пример: Apache Ant -- в репозитории Ubuntu две версии, но поставить оттуда можно только одну.
Ubuntu 11.10 + KDE (AMD 64) in Minsk

Ларин
Неотъемлемая часть форума
Сообщения: 484
Зарегистрирован: 19 ноя 2007, 15:01
Контактная информация:

Re: траблы с NetBeans

Сообщение Ларин »

leave писал(а):Ларин, профит в том, что в репах нетбинс древнючий. В сабжевой опенсусе - 6.5-6, в дебиане (sid) - 6.0.1, в то время как на нетбинс.орг сейчас висит 6.8

хотите свежачек, юзайте бубунту последнюю. хотя мне кажется в любом последнем дистрибе будет последний нетбинс.
а делать из системы помойку, пусть даже из домашнего десктопа, это ИМХО неправильно.
Two of the most famous products of Berkeley are LSD and BSD:)

Ларин
Неотъемлемая часть форума
Сообщения: 484
Зарегистрирован: 19 ноя 2007, 15:01
Контактная информация:

Re: траблы с NetBeans

Сообщение Ларин »

kdu писал(а):Добавлю, что такой "ручной" подход позволяет безпроблемно иметь несколько версий одного приложения и переключаться между версиями с помощью установки переменных среды. Пример: Apache Ant -- в репозитории Ubuntu две версии, но поставить оттуда можно только одну.

ну, да. тогда не избежать хлама в ~/
Two of the most famous products of Berkeley are LSD and BSD:)

Ответить